package com.loafle.overflow.module.probe.model;

import com.loafle.overflow.meta.model.MetaProbeTaskType;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "PROBE_TASK", schema = "public", catalog = "postgres")
public class ProbeTask {
    private long id;
    private MetaProbeTaskType metaProbeTaskType;
    private Probe probe;
    private String data;
    private Date createDate;
    private Date sendDate;
    private Date startDate;
    private Date endDate;
    private Boolean succeed;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @ManyToOne
    @JoinColumn(name = "TYPE_ID", nullable = false)
    public MetaProbeTaskType getMetaProbeTaskType() {
        return metaProbeTaskType;
    }

    public void setMetaProbeTaskType(MetaProbeTaskType metaProbeTaskType) {
        this.metaProbeTaskType = metaProbeTaskType;
    }

    @ManyToOne
    @JoinColumn(name = "PROBE_ID", nullable = false)
    public Probe getProbe() {
        return probe;
    }

    public void setProbe(Probe probe) {
        this.probe = probe;
    }

    //    @Basic
//    @Column(name = "TYPE_ID", nullable = false)
//    public short getTypeId() {
//        return typeId;
//    }
//
//    public void setTypeId(short typeId) {
//        this.typeId = typeId;
//    }
//
//    @Basic
//    @Column(name = "PROBE_ID", nullable = false)
//    public long getProbeId() {
//        return probeId;
//    }
//
//    public void setProbeId(long probeId) {
//        this.probeId = probeId;
//    }

    @Basic
    @Column(name = "DATA", nullable = true, length = 255)
    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    @Basic
    @Column(name = "SEND_DATE", nullable = true)
    public Date getSendDate() {
        return sendDate;
    }

    public void setSendDate(Date sendDate) {
        this.sendDate = sendDate;
    }

    @Basic
    @Column(name = "START_DATE", nullable = true)
    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    @Basic
    @Column(name = "END_DATE", nullable = true)
    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Basic
    @Column(name = "SUCCEED", nullable = true)
    public Boolean getSucceed() {
        return succeed;
    }

    public void setSucceed(Boolean succeed) {
        this.succeed = succeed;
    }

//    @Override
//    public boolean equals(Object o) {
//        if (this == o) return true;
//        if (o == null || getClass() != o.getClass()) return false;
//
//        ProbeTask that = (ProbeTask) o;
//
//        if (id != that.id) return false;
//        if (typeId != that.typeId) return false;
//        if (probeId != that.probeId) return false;
//        if (data != null ? !data.equals(that.data) : that.data != null) return false;
//        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;
//        if (sendDate != null ? !sendDate.equals(that.sendDate) : that.sendDate != null) return false;
//        if (startDate != null ? !startDate.equals(that.startDate) : that.startDate != null) return false;
//        if (endDate != null ? !endDate.equals(that.endDate) : that.endDate != null) return false;
//        if (succeed != null ? !succeed.equals(that.succeed) : that.succeed != null) return false;
//
//        return true;
//    }
//
//    @Override
//    public int hashCode() {
//        int result = (int) (id ^ (id >>> 32));
//        result = 31 * result + (int) typeId;
//        result = 31 * result + (int) (probeId ^ (probeId >>> 32));
//        result = 31 * result + (data != null ? data.hashCode() : 0);
//        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
//        result = 31 * result + (sendDate != null ? sendDate.hashCode() : 0);
//        result = 31 * result + (startDate != null ? startDate.hashCode() : 0);
//        result = 31 * result + (endDate != null ? endDate.hashCode() : 0);
//        result = 31 * result + (succeed != null ? succeed.hashCode() : 0);
//        return result;
//    }
}
